import {
  processStatus,
  liquidationStatus,
  approvedState,
  newOrderStatus,
  invoiceStatus,
  post,
  patternOrganization,
  station
} from './dataDic';

// 流程状态
const getProcessStatus =(e) => {
  if (e || e === 0) {
    let theType = "";
    processStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 结算状态
const getLiquidationStatus = (e) => {
  if (e || e === 0) {
    let theType = "";
    liquidationStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 特批状态
const getApprovedState = (e) => {
  if (e || e === 0) {
    let theType = "";
    approvedState.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 订单状态
const getNewOrderStatus = (e) => {
  if (e || e === 0) {
    let theType = "";
    newOrderStatus.forEach((item) => {
      if (item.value === e.toString()) {
        theType = item.key;
      }
    });
    return theType;
  }
  return '';
}

// 开票状态
const getInvoiceStatus = (e, record) => {
  if (record && record.approval === 1) {
    return "特批待审核";
  }else{
    if (e || e === 0) {
      let theType = "";
      invoiceStatus.forEach((item) => {
        if (item.value === e.toString()) {
          theType = item.key;
        }
      });
      return theType;
    }
  }
}

// 职务
const getPost = (e) => {
  if (e) {
    let theType = "";
    post.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 岗位
const getStation = (e) => {
  if (e) {
    let theType = "";
    station.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 组织类型
const getPattern = (e) => {
  if (e) {
    let theType = "";
    patternOrganization.map((item) => {
      if (item.value === e) {
        theType = item.key;
      }
    });
    return theType;
  }
}

// 处理图片地址
const splitUrl = (string, i, url) => {
  let theList = [];
  let theArr = [];
  if (string && string.length) {
    theArr = string.split(i);
    theArr.map((item, i) => {
      let name = item.substring(item.lastIndexOf("_") + 1);
      theList.push({
        uid: -i - 1,
        name: name,
        url: url + item,
        response: {
          data: item,
        },
      });
    });
  }
  return {fileList:theList};
}

export {
  getProcessStatus,
  getLiquidationStatus,
  getApprovedState,
  getNewOrderStatus,
  getInvoiceStatus,
  getPost,
  getPattern,
  getStation,
  splitUrl,
};
